Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.builder
Class ResourceType

    java.lang.Object
      org.drools.builder.ResourceType

All Implemented Interfaces:
  Serializable

    public class ResourceType

extends Object
implements Serializable

See Also:
  Serialized Form

Field Summary
`static ResourceType` | `BPMN2` jBPM BPMN2 Language
`static ResourceType` | `BRL` Drools Business Rule Language
`static ResourceType` | `CHANGE_SET` Change Set
`static ResourceType` | `DESCR` DESCR
`static ResourceType` | `DRF` Drools Rule Flow Language
`static ResourceType` | `DRL` Drools Rule Language
`static ResourceType` | `DSL` Drools DSL
`static ResourceType` | `DSLR` Drools DSL Rule
`static ResourceType` | `DTABLE` Decision Table
`static ResourceType` | `PKG` Binary Package
`static ResourceType` | `PMML` PMML
`static ResourceType` | `XDRL` Drools XML Rule Language
`static ResourceType` | `XSD` XSD

Constructor Summary
`ResourceType(String name, String description, String defaultExtension, String... otherExtensions)`

Method Summary
`static ResourceType` | `addResourceTypeToRegistry(String resourceType, String description, String defaultExtension, String... otherExtensions)`
`static ResourceType` | `determineResourceType(String resourceName)`
`boolean` | `equals(Object obj)`
`String` | `getDefaultExtension()`
`String` | `getDescription()`
`String` | `getName()`
`static ResourceType` | `getResourceType(String resourceType)`
`int` | `hashCode()`
`boolean` | `matchesExtension(String resourceName)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### DRL

    public static final ResourceType DRL

  Drools Rule Language

### XDRL

    public static final ResourceType XDRL

  Drools XML Rule Language

### DSL

    public static final ResourceType DSL

  Drools DSL

### DSLR

    public static final ResourceType DSLR

  Drools DSL Rule

### DRF

    public static final ResourceType DRF

  Drools Rule Flow Language

### BPMN2

    public static final ResourceType BPMN2

  jBPM BPMN2 Language

### DTABLE

    public static final ResourceType DTABLE

  Decision Table

### PKG

    public static final ResourceType PKG

  Binary Package

### BRL

    public static final ResourceType BRL

  Drools Business Rule Language

### CHANGE_SET

    public static final ResourceType CHANGE_SET

  Change Set

### XSD

    public static final ResourceType XSD

  XSD

### PMML

    public static final ResourceType PMML

  PMML

### DESCR

    public static final ResourceType DESCR

  DESCR

Constructor Detail

### ResourceType

    public ResourceType(String name,
                        String description,
                        String defaultExtension,
                        String... otherExtensions)

Method Detail

### addResourceTypeToRegistry

    public static ResourceType addResourceTypeToRegistry(String resourceType,
                                                         String description,
                                                         String defaultExtension,
                                                         String... otherExtensions)

### getResourceType

    public static ResourceType getResourceType(String resourceType)

### determineResourceType

    public static ResourceType determineResourceType(String resourceName)

### matchesExtension

    public boolean matchesExtension(String resourceName)

### getDefaultExtension

    public String getDefaultExtension()

### getDescription

    public String getDescription()

### getName

    public String getName()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2011 JBoss by Red Hat. All Rights Reserved.